# Initial full-mesh topology used in the Geant case study

final_ibgp = {
    'BE': {'down': ['LU'], 'up': ['FR', 'NL']},
    'FR': {'down': ['BE', 'CH', 'IT', 'ES', 'AT'], 'over': ['DE', 'NL', 'UK']},
    'BG': {'up': ['SK', 'CZ']},
    'DK': {'down': ['LV', 'EE', 'LT'], 'up': ['DE', 'NL']},
    'HR': {'up': ['IT', 'AT']},
    'DE': {'down': ['DK', 'CH', 'IT', 'SK', 'CZ', 'SE', 'ES', 'AT'], 'over': ['FR', 'NL', 'UK']},
    'HU': {'up': ['SK', 'AT']},
    'NL': {'down': ['BE', 'DK', 'SK', 'CZ', 'IE'], 'over': ['FR', 'DE', 'UK']},
    'PT': {'up': ['CH', 'ES']},
    'LV': {'up': ['DK', 'CZ']},
    'LT': {'up': ['DK', 'CZ']},
    'LU': {'up': ['BE', 'CH']},
    'RO': {'up': ['SK', 'CZ']},
    'PL': {'up': ['CZ', 'SE']},
    'CH': {'down': ['PT', 'LU', 'GR'], 'up': ['FR', 'DE']},
    'GR': {'up': ['CH', 'IT']},
    'EE': {'up': ['DK', 'CZ']},
    'IT': {'down': ['HR', 'GR', 'SI'], 'up': ['FR', 'DE']},
    'CZ': {'down': ['BG', 'LV', 'LT', 'RO', 'PL', 'EE'], 'up': ['DE', 'NL']},
    'AT': {'down': ['HR', 'HU', 'SI'], 'up': ['FR', 'DE']},
    'IE': {'up': ['NL', 'UK']}, 'ES': {'down': ['PT'], 'up': ['FR', 'DE']},
    'SK': {'down': ['BG', 'HU', 'RO'], 'up': ['DE', 'NL']},
    'SI': {'up': ['IT', 'AT']},
    'UK': {'down': ['IE', 'SE'], 'over': ['FR', 'DE', 'NL']},
    'SE': {'down': ['PL'], 'up': ['DE', 'UK']},
}
